package de.towerdefence.server.auth;

import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Component;
import org.springframework.security.oauth2.jwt.Jwt;

@Component
public class UserSession {
    public String getToken() {
        return getPrincipal().getTokenValue();
    }

    public String getUsername() {
        return (String) getPrincipal().getClaims().get("preferred_username");
    }

    private Jwt getPrincipal() {
        return (Jwt) SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    }
}
