package de.towerdefence.server.player;

import jakarta.annotation.PostConstruct;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

import java.security.NoSuchAlgorithmException;

@AllArgsConstructor
@Configuration
@Profile("dev")
public class PlayerTestData {
    @Autowired
    private PlayerRepository playerRepository;
    @Autowired
    private PlayerService playerService;

    @PostConstruct
    public void loadFixtures() throws NoSuchAlgorithmException {
        Player player1 = new Player();
        player1.setUsername("Player1");
        playerService.setPassword(player1, "1234");
        this.playerRepository.save(player1);

        Player player2 = new Player();
        player2.setUsername("Player2");
        playerService.setPassword(player2, "1234");
        this.playerRepository.save(player2);
    }
}
