package de.towerdefence.server.server.channels.match.money;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.JsonNodeFactory;
import de.towerdefence.server.server.JsonMessage;
import lombok.AllArgsConstructor;

import java.util.Map;

@AllArgsConstructor
public class PlayerMoneyMessage extends JsonMessage {

    private final int playerMoney;

    @Override
    protected String getMessageId() {
        return "PlayerMoney";
    }

    @Override
    protected Map<String, JsonNode> getData(JsonNodeFactory factory) {
        return Map.of(
            "playerMoney", factory.numberNode(this.playerMoney)
        );
    }
}
