package de.towerdefence.server.server;

import de.towerdefence.server.IntegrationTest;
import de.towerdefence.server.oas.models.PlayerRegistrationData;
import org.junit.jupiter.api.Test;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.RequestBuilder;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

public class PlayerRegistrationTest extends IntegrationTest {

    @Test
    void playerUsernameIsUnique() throws Exception {
        PlayerRegistrationData body = new PlayerRegistrationData();
        body.setUsername("test");
        body.setPassword("password");

        this.mvc
                .perform(getRequest(body))
                .andExpect(status().isCreated());
        this.mvc
                .perform(getRequest(body))
                .andExpect(status().isConflict());
    }

    private RequestBuilder getRequest(PlayerRegistrationData playerRegistrationData) throws Exception {
        return MockMvcRequestBuilders
                .post(baseUri + "/player/register")
                .content(this.objectMapper.writeValueAsString(playerRegistrationData))
                .contentType(MediaType.APPLICATION_JSON);
    }
}
